# mozjpeg



### Installation:

```bash
brew install mozjpeg
```

Si libjpeg est déjà installé, cjpeg et jpegtran sont déjà présent. Il faut linker les binaires de mozjpeg:

```bash
ln -s /opt/homebrew/opt/mozjpeg/bin/cjpeg /usr/local/bin/mozcjpeg
ln -s /opt/homebrew/opt/mozjpeg/bin/jpegtran /usr/local/bin/mozjpegtran
```



### Usage:

**cjpeg** = lossy (avec pertes).

**cjpeg** accepte les image aux formats JPEG, PNG, BMP et  Targa.

<u>Options:</u>

- -quality (entre 5 et 95)(défaut 75)
- -progressive (par défaut) sinon -baseline
- -optimize (par défaut)
- -outfile <name>



**jpegtran** = lossless (sans pertes).

**jpegtran** accepte les image au format JPEG.

<u>Options:</u>

- -progressive (défaut) sinon -baseline
- -optimize (par défaut)
- -outfile <name>



```bash
❯ mozcjpeg 2022-05-10_Cerf_8869-CR3_DxO_DeepPRIME.png > 5_2022.jpg
libpng warning: iCCP: known incorrect sRGB profile
```

